- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDocument Class Reference
[COLLADA Document Object Model.]

The top class for the COLLADA object model. More...

`#include <FCDocument.h>`

Inheritance diagram for FCDocument:

List of all members.

## Public Member Functions
| FCDocument ()
| Construct a new COLLADA document.
virtual | ~FCDocument ()
| COLLADA document destructor.
FCDAsset * | GetAsset ()
| Retrieves the asset information for this COLLADA document.
const FCDAsset * | GetAsset () const
| See above.
FCDExtra * | GetExtra ()
| Retrieves the base extra tree for this COLLADA document.
const FCDExtra * | GetExtra () const
| See above.
FCDVersion & | GetVersion ()
| Retrieves the version numbers for this COLLADA document.
const FCDVersion & | GetVersion () const
| See above.
FUFileManager * | GetFileManager ()
| [INTERNAL] Retrieves the local file manager for the COLLADA document.
const FUFileManager * | GetFileManager () const
| See above.
FCDSceneNode * | GetVisualSceneInstance ()
| Retrieves the currently instanced visual scene.
const FCDSceneNode * | GetVisualSceneInstance () const
| See above.
| DEPRECATED (3.04A, FCDocument::GetVisualSceneInstance) inline FCDSceneNode *GetVisualSceneRoot()
| See above.
| DEPRECATED (3.04A, FCDocument::GetVisualSceneInstance) inline const FCDSceneNode *GetVisualSceneRoot() const
| See above.
FCDEntityReference * | GetVisualSceneInstanceReference ()
| Retrieves the reference to the currently instanced visual scene.
const FCDEntityReference * | GetVisualSceneInstanceReference () const
| See above.
size_t | GetPhysicsSceneInstanceCount () const
| Retrieves the number of instanced physics scenes.
FCDPhysicsScene * | GetPhysicsSceneInstance (size_t index=0)
| Retrieves one instanced physics scene.
const FCDPhysicsScene * | GetPhysicsSceneInstance (size_t index=0) const
| See above.
| DEPRECATED (3.04A, FCDocument::GetPhysicsSceneInstance) inline FCDPhysicsScene *GetPhysicsSceneRoot(size_t index=0)
| See above.
| DEPRECATED (3.04A, FCDocument::GetPhysicsSceneInstance) inline const FCDPhysicsScene *GetPhysicsSceneRoot(size_t index=0) const
| See above.
void | AddPhysicsSceneInstance (FCDPhysicsScene *scene)
| Adds one instanced physics scene to the document.
FCDEntityReference * | GetPhysicsSceneInstanceReference (size_t index=0)
| Retrieves a reference to the instanced physics scene.
const FCDEntityReference * | GetPhysicsSceneInstanceReference (size_t index=0) const
FCDEntityReference * | AddPhysicsSceneInstanceReference ()
| Adds an empty reference in the list of instanced physics scenes.
FUSUniqueStringMap * | GetUniqueNameMap ()
| [INTERNAL] Retrieves the map of unique ids for this document.
const FUSUniqueStringMap * | GetUniqueNameMap () const
| See above.
FCDExternalReferenceManager * | GetExternalReferenceManager ()
| Retrieves the external reference manager.
const FCDExternalReferenceManager * | GetExternalReferenceManager () const
| See above.
const fstring & | GetFileUrl () const
| Retrieves the file URL for this document.
void | SetFileUrl (const fstring &filename)
| Sets the file URL for this document.
bool | HasStartTime () const
| Returns whether a start time is being enforced for the document.
float | GetStartTime () const
| Retrieves the start time set for the document.
void | SetStartTime (float time)
| Enforces a certain time as the start time for the document.
bool | HasEndTime () const
| Returns whether a end time is being enforced for the document.
float | GetEndTime () const
| Retrieves the end time set for the document.
void | SetEndTime (float time)
| Enforces a certain time as the end time for the document.
void | SetCurrentTime (float time)
| Evaluate the animation objects at the given time.
FCDLayerList & | GetLayers ()
| Retrieves the list of entity layers.
const FCDLayerList & | GetLayers () const
| See above.
size_t | GetLayerCount () const
| Retrieves the number of entity layers contained within the document.
FCDLayer * | GetLayer (size_t index)
| Retrieves a specific entity layer contained within the document.
const FCDLayer * | GetLayer (size_t index) const
| See above.
FCDLayer * | AddLayer ()
| Adds an entity layer to the document.
void | ReleaseLayer (FCDLayer *layer)
| Releases an entity layer from the document.
FCDAnimationLibrary * | GetAnimationLibrary ()
| Retrieves the animation library.
const FCDAnimationLibrary * | GetAnimationLibrary () const
| See above.
FCDAnimationClipLibrary * | GetAnimationClipLibrary ()
| Retrieves the animation clip library.
const FCDAnimationClipLibrary * | GetAnimationClipLibrary () const
| See above.
FCDCameraLibrary * | GetCameraLibrary ()
| Retrieves the camera library.
const FCDCameraLibrary * | GetCameraLibrary () const
| See above.
FCDControllerLibrary * | GetControllerLibrary ()
| Retrieves the controller library.
const FCDControllerLibrary * | GetControllerLibrary () const
| See above.
FCDGeometryLibrary * | GetGeometryLibrary ()
| Retrieves the geometry library.
const FCDGeometryLibrary * | GetGeometryLibrary () const
| See above.
FCDForceFieldLibrary * | GetForceFieldLibrary ()
| Retrieves the physics force field library.
const FCDForceFieldLibrary * | GetForceFieldLibrary () const
| See above.
FCDImageLibrary * | GetImageLibrary ()
| Retrieves the image library.
const FCDImageLibrary * | GetImageLibrary () const
| See above.
FCDLightLibrary * | GetLightLibrary ()
| Retrieves the light library.
const FCDLightLibrary * | GetLightLibrary () const
| See above.
FCDMaterialLibrary * | GetMaterialLibrary ()
| Retrieves the visual material library.
const FCDMaterialLibrary * | GetMaterialLibrary () const
| See above.
FCDEffectLibrary * | GetEffectLibrary ()
| Retrieves the effect library.
const FCDEffectLibrary * | GetEffectLibrary () const
| See above.
FCDVisualSceneNodeLibrary * | GetVisualSceneLibrary ()
| Retrieves the visual scene library.
const FCDVisualSceneNodeLibrary * | GetVisualSceneLibrary () const
| See above.
FCDPhysicsModelLibrary * | GetPhysicsModelLibrary ()
| Retrieves the physics model library.
const FCDPhysicsModelLibrary * | GetPhysicsModelLibrary () const
| See above.
FCDPhysicsMaterialLibrary * | GetPhysicsMaterialLibrary ()
| Retrieves the physics material library.
const FCDPhysicsMaterialLibrary * | GetPhysicsMaterialLibrary () const
| See above.
FCDPhysicsSceneLibrary * | GetPhysicsSceneLibrary ()
| Retrieves the physics scene library.
const FCDPhysicsSceneLibrary * | GetPhysicsSceneLibrary () const
| See above.
FCDEmitterLibrary * | GetEmitterLibrary ()
| Retrieves the emitter library.
const FCDEmitterLibrary * | GetEmitterLibrary () const
| See above.
FCDSceneNode * | AddVisualScene ()
| Insert a new visual scene within the visual scene library.
FCDPhysicsScene * | AddPhysicsScene ()
| Insert a new physics scene within the physics material library.
FCDAnimation * | FindAnimation (const fm::string &daeId)
| Retrieves the animation tree node that matches the given COLLADA id.
FCDAnimationClip * | FindAnimationClip (const fm::string &daeId)
| Retrieves the animation clip that matches the given COLLADA id.
FCDCamera * | FindCamera (const fm::string &daeId)
| Retrieves the camera that matches the given COLLADA id.
FCDController * | FindController (const fm::string &daeId)
| Retrieves the controller that matches the given COLLADA id.
FCDEffect * | FindEffect (const fm::string &daeId)
| Retrieves the effect that matches the given COLLADA id.
FCDEntity * | FindEntity (const fm::string &daeId)
| Retrieves the entity that matches the given COLLADA id.
FCDEmitter * | FindEmitter (const fm::string &daeId)
| Retrieves the emitter that matches the given COLLADA id.
FCDForceField * | FindForceField (const fm::string &daeId)
| Retrieves the force field that matches the given COLLADA id.
FCDGeometry * | FindGeometry (const fm::string &daeId)
| Retrieves the geometry that matches the given COLLADA id.
FCDImage * | FindImage (const fm::string &daeId)
| Retrieves the image that matches the given COLLADA id.
FCDLayer * | FindLayer (const fm::string &name)
| Retrieves the layer that matches the given name.
FCDLight * | FindLight (const fm::string &daeId)
| Retrieves the light that matches the given COLLADA id.
FCDMaterial * | FindMaterial (const fm::string &daeId)
| Retrieves the visual material that matches the given COLLADA id.
FCDSceneNode * | FindVisualScene (const fm::string &daeId)
| Retrieves the visual scene that matches the given COLLADA id.
FCDPhysicsScene * | FindPhysicsScene (const fm::string &daeId)
| Retrieves the physics scene that matches the given COLLADA id.
FCDPhysicsMaterial * | FindPhysicsMaterial (const fm::string &daeId)
| Retrieves the physics material that matches the given COLLADA id.
FCDPhysicsModel * | FindPhysicsModel (const fm::string &daeId)
| Retrieves the physics model that matches the given COLLADA id.
const FCDSceneNode * | FindSceneNode (const char *daeId) const
| Retrieves the visual scene node that matches the given COLLADA id.
FCDSceneNode * | FindSceneNode (const char *daeId)
void | RegisterAnimatedValue (FCDAnimated *animated)
| [INTERNAL] Registers an animated value with the document.
void | UnregisterAnimatedValue (FCDAnimated *animated)
| [INTERNAL] Unregisters an animated value of the document.
void | RegisterExtraTree (FCDExtra *tree)
| [INTERNAL] Registers an extra tree with the document.
void | UnregisterExtraTree (FCDExtra *tree)
| [INTERNAL] Unregisters an extra tree of the document.
FCDExtraSet & | GetExtraTrees ()
| [INTERNAL] Retrieves the set of extra trees.

## Detailed Description

The top class for the COLLADA object model.

This class holds all the COLLADA libraries, the scene graphs and the document's asset tag.

It also holds some global information, such as the animation start and end time and the layers. This global information is only exported by ColladaMaya right now.

## Constructor & Destructor Documentation

virtual FCDocument::~FCDocument | ( |  | ) | `[virtual]`

| COLLADA document destructor. This clears out all the memory related to the document.

## Member Function Documentation

FCDLayer* FCDocument::AddLayer | ( |  | ) |

| Adds an entity layer to the document. Returns: The new layer.

FCDPhysicsScene* FCDocument::AddPhysicsScene | ( |  | ) |

| Insert a new physics scene within the physics material library. The new physics scene will be used as the root physics scene. Returns: The newly created physics scene.

void FCDocument::AddPhysicsSceneInstance | ( | FCDPhysicsScene * | scene | ) |

  | Adds one instanced physics scene to the document. Parameters:
  | scene | The newly instanced physics scene.

FCDEntityReference* FCDocument::AddPhysicsSceneInstanceReference | ( |  | ) |

| Adds an empty reference in the list of instanced physics scenes. Returns: The new, empty, reference.

FCDSceneNode* FCDocument::AddVisualScene | ( |  | ) |

| Insert a new visual scene within the visual scene library. The new visual scene will be used as the root visual scene. Returns: The newly created visual scene.

FCDAnimation* FCDocument::FindAnimation | ( | const fm::string & | daeId | ) |

  | Retrieves the animation tree node that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The animation tree node. This pointer will be NULL if no matching animation tree node was found.

FCDAnimationClip* FCDocument::FindAnimationClip | ( | const fm::string & | daeId | ) |

  | Retrieves the animation clip that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The animation clip. This pointer will be NULL if no matching animation clip was found.

FCDCamera* FCDocument::FindCamera | ( | const fm::string & | daeId | ) |

  | Retrieves the camera that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The camera. This pointer will be NULL if no matching camera was found.

FCDController* FCDocument::FindController | ( | const fm::string & | daeId | ) |

  | Retrieves the controller that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The controller. This pointer will be NULL if no matching controller was found.

FCDEffect* FCDocument::FindEffect | ( | const fm::string & | daeId | ) |

  | Retrieves the effect that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The effect. This pointer will be NULL if no matching effect was found.

FCDEmitter* FCDocument::FindEmitter | ( | const fm::string & | daeId | ) |

  | Retrieves the emitter that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The emitter. This pointer will be NULL if no matching emitter was found.

FCDEntity* FCDocument::FindEntity | ( | const fm::string & | daeId | ) |

  | Retrieves the entity that matches the given COLLADA id. This function will look through all the libraries for any entity with the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The entity. This pointer will be NULL if no matching entity was found.

FCDForceField* FCDocument::FindForceField | ( | const fm::string & | daeId | ) |

  | Retrieves the force field that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The force field. This pointer will be NULL if no matching force field was found.

FCDGeometry* FCDocument::FindGeometry | ( | const fm::string & | daeId | ) |

  | Retrieves the geometry that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The geometry. This pointer will be NULL if no matching geometry was found.

FCDImage* FCDocument::FindImage | ( | const fm::string & | daeId | ) |

  | Retrieves the image that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The image. This pointer will be NULL if no matching image was found.

FCDLayer* FCDocument::FindLayer | ( | const fm::string & | name | ) |

  | Retrieves the layer that matches the given name. Note that there are no checks for uniqueness in layer names. Parameters:
  | name | A layer name.
Returns: The layer. This pointer will be NULL if no matching layer was found.

FCDLight* FCDocument::FindLight | ( | const fm::string & | daeId | ) |

  | Retrieves the light that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The light. This pointer will be NULL if no matching light was found.

FCDMaterial* FCDocument::FindMaterial | ( | const fm::string & | daeId | ) |

  | Retrieves the visual material that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The visual material. This pointer will be NULL if no matching visual material was found.

FCDPhysicsMaterial* FCDocument::FindPhysicsMaterial | ( | const fm::string & | daeId | ) |

  | Retrieves the physics material that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The physics material. This pointer will be NULL if no matching physics material was found.

FCDPhysicsModel* FCDocument::FindPhysicsModel | ( | const fm::string & | daeId | ) |

  | Retrieves the physics model that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The physics model. This pointer will be NULL if no matching physics model was found.

FCDPhysicsScene* FCDocument::FindPhysicsScene | ( | const fm::string & | daeId | ) |

  | Retrieves the physics scene that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The physics scene. This pointer will be NULL if no matching physics scene was found.

const FCDSceneNode* FCDocument::FindSceneNode | ( | const char * | daeId | ) | const

  | Retrieves the visual scene node that matches the given COLLADA id. This method searches through all the visual scenes within the visual scene library and their child visual scene nodes to find the correct visual scene node. Parameters:
  | daeId | A valid COLLADA id.
Returns: The visual scene node. This pointer will be NULL if no matching visual scene node was found.

FCDSceneNode* FCDocument::FindVisualScene | ( | const fm::string & | daeId | ) |

  | Retrieves the visual scene that matches the given COLLADA id. Parameters:
  | daeId | A valid COLLADA id.
Returns: The visual scene. This pointer will be NULL if no matching visual scene was found.

FCDAnimationClipLibrary* FCDocument::GetAnimationClipLibrary | ( |  | ) | `[inline]`

| Retrieves the animation clip library. The animation clip library contains a list of animation clips. Each animation clip instantiates nodes from the animation library. Sections of the animation curves belonging to the instantiated animation nodes are thereby packaged together as animation clips. Returns: The animation clip library.

FCDAnimationLibrary* FCDocument::GetAnimationLibrary | ( |  | ) | `[inline]`

| Retrieves the animation library. The animation library contains the animation curves within a tree structure. To create and find animation curves, do not use the animation library directly: use the FCDAnimated class, the FindAnimatedValue() function and the RegisterAnimatedValue() function. Returns: The animation library.

FCDAsset* FCDocument::GetAsset | ( |  | ) | `[inline]`

| Retrieves the asset information for this COLLADA document. The asset information should always be present. Returns: A pointer to the asset information structure. This pointer should never be NULL.

FCDCameraLibrary* FCDocument::GetCameraLibrary | ( |  | ) | `[inline]`

| Retrieves the camera library. The camera library contains a list of cameras, which may be instantiated within the scene graph. COLLADA supports two camera types: perspective and orthographic. Returns: The camera library.

FCDControllerLibrary* FCDocument::GetControllerLibrary | ( |  | ) | `[inline]`

| Retrieves the controller library. The controller library contains a list of controllers, which may be instantiated within the scene graph. COLLADA supports two controller types: skin and morph. Returns: The controller library.

FCDEffectLibrary* FCDocument::GetEffectLibrary | ( |  | ) | `[inline]`

| Retrieves the effect library. The effect library contains a list of effects, which may be instantiated by materials. An effect defines an interface for a rendering shader. A ColladaFX effect may contain multiple passes and techniques for different platforms or level of details. Returns: The effect library.

FCDEmitterLibrary* FCDocument::GetEmitterLibrary | ( |  | ) | `[inline]`

| Retrieves the emitter library. The emitter library contains a list of emitter definitions. Returns: The emitter library.

float FCDocument::GetEndTime | ( |  | ) | const`[inline]`

| Retrieves the end time set for the document. Returns: The document end time.

FCDExternalReferenceManager* FCDocument::GetExternalReferenceManager | ( |  | ) | `[inline]`

| Retrieves the external reference manager. Returns: The external reference manager.

FCDExtra* FCDocument::GetExtra | ( |  | ) | `[inline]`

| Retrieves the base extra tree for this COLLADA document. An extra tree should always be present, but is likely to be empty. Returns: A pointer to the base extra tree. This pointer should never be NULL.

FCDExtraSet& FCDocument::GetExtraTrees | ( |  | ) | `[inline]`

| [INTERNAL] Retrieves the set of extra trees. This function is meant only to be used for supporting the extra-technique plug-ins. Returns: The set of extra trees for this document.

FUFileManager* FCDocument::GetFileManager | ( |  | ) | `[inline]`

| [INTERNAL] Retrieves the local file manager for the COLLADA document. Used to resolve URIs and transform file paths into their relative or absolute equivalent. May be deprecated in future versions. Returns: The file manager for this COLLADA document. This pointer should never be NULL.

const fstring& FCDocument::GetFileUrl | ( |  | ) | const`[inline]`

| Retrieves the file URL for this document. Returns: The file URL for the document.

FCDForceFieldLibrary* FCDocument::GetForceFieldLibrary | ( |  | ) | `[inline]`

| Retrieves the physics force field library. Force fields are emitters of physical force and have no COMMON profile in COLLADA. Returns: The force field library.

FCDGeometryLibrary* FCDocument::GetGeometryLibrary | ( |  | ) | `[inline]`

| Retrieves the geometry library. The geometry library contains a list of basic geometries, which may be instantiated within the scene graph and may be used by controllers. COLLADA supports two geometry types: mesh and spline. Returns: The geometry library.

FCDImageLibrary* FCDocument::GetImageLibrary | ( |  | ) | `[inline]`

| Retrieves the image library. The image library contains a list of images. Images are used by effects for textures. Returns: The image library.

FCDLayer* FCDocument::GetLayer | ( | size_t | index | ) | `[inline]`

  | Retrieves a specific entity layer contained within the document. Parameters:
  | index | The index of the layer.
Returns: The entity layer. This pointer will be NULL if the index is out-of-bounds.

size_t FCDocument::GetLayerCount | ( |  | ) | const`[inline]`

| Retrieves the number of entity layers contained within the document. Returns: The number of layers.

FCDLayerList& FCDocument::GetLayers | ( |  | ) | `[inline]`

| Retrieves the list of entity layers. Returns: The list of entity layers.

FCDLightLibrary* FCDocument::GetLightLibrary | ( |  | ) | `[inline]`

| Retrieves the light library. The light library contains a list of light, which may be instantiated within the scene graph. COLLADA supports four light types: ambient, directional, point and spot lights. Returns: The light library.

FCDMaterialLibrary* FCDocument::GetMaterialLibrary | ( |  | ) | `[inline]`

| Retrieves the visual material library. The visual material library contains a list of visual materials, which are bound to mesh polygons within the scene graph. A visual material instantiates an effect and presets the effect parameters for a given visual result. Returns: The visual material library.

FCDPhysicsMaterialLibrary* FCDocument::GetPhysicsMaterialLibrary | ( |  | ) | `[inline]`

| Retrieves the physics material library. The physics material library contains a list of physics material. Returns: The physics material library.

FCDPhysicsModelLibrary* FCDocument::GetPhysicsModelLibrary | ( |  | ) | `[inline]`

| Retrieves the physics model library. The physics model library contains a list of physics models. Returns: The physics model library.

FCDPhysicsScene* FCDocument::GetPhysicsSceneInstance | ( | size_t | index = `0` | ) | `[inline]`

  | Retrieves one instanced physics scene. Parameters:
  | index | The index of the physics scene to retrieve. If the index is out-of-bounds, NULL is returned.
Returns: A currently instanced physics scene.

size_t FCDocument::GetPhysicsSceneInstanceCount | ( |  | ) | const`[inline]`

| Retrieves the number of instanced physics scenes. Returns: The number of instanced physics scenes.

FCDEntityReference* FCDocument::GetPhysicsSceneInstanceReference | ( | size_t | index = `0` | ) | `[inline]`

  | Retrieves a reference to the instanced physics scene. Parameters:
  | index | The index of the physics scene instance reference to retrieve. If the index is out-of-bounds, NULL is returned.
Returns: The reference to the index physics scene reference.

FCDPhysicsSceneLibrary* FCDocument::GetPhysicsSceneLibrary | ( |  | ) | `[inline]`

| Retrieves the physics scene library. The physics scene library contains a list of physics scene nodes. Returns: The physics scene library.

float FCDocument::GetStartTime | ( |  | ) | const`[inline]`

| Retrieves the start time set for the document. Returns: The document start time.

FUSUniqueStringMap* FCDocument::GetUniqueNameMap | ( |  | ) | `[inline]`

| [INTERNAL] Retrieves the map of unique ids for this document. Returns: The map of unique ids for this document.

FCDVersion& FCDocument::GetVersion | ( |  | ) | `[inline]`

| Retrieves the version numbers for this COLLADA document. The version numbers should always be present. Returns: The version number structure.

FCDSceneNode* FCDocument::GetVisualSceneInstance | ( |  | ) | `[inline]`

| Retrieves the currently instanced visual scene. NOTE: GetVisualSceneRoot is deprecated. Please start using GetVisualSceneInstance. Returns: The currently instanced visual scene.

FCDEntityReference* FCDocument::GetVisualSceneInstanceReference | ( |  | ) | `[inline]`

| Retrieves the reference to the currently instanced visual scene. Returns: The instanced visual scene reference.

FCDVisualSceneNodeLibrary* FCDocument::GetVisualSceneLibrary | ( |  | ) | `[inline]`

| Retrieves the visual scene library. The visual scene library contains an acyclic directed graph of visual scene nodes: a visual scene node contains one or more parent nodes and zero or more child nodes. A visual scene node also contains 3D transformations: translation, rotation, scale, skew, as well as the compound transformations: lookAt and matrix. A visual scene node also contains instances of geometries, controllers, cameras and/or lights. Only one visual scene should be used at one time by the global scene. Returns: The visual scene library.

bool FCDocument::HasEndTime | ( |  | ) | const`[inline]`

| Returns whether a end time is being enforced for the document. Returns: Whether the document has a end time.

bool FCDocument::HasStartTime | ( |  | ) | const`[inline]`

| Returns whether a start time is being enforced for the document. Returns: Whether the document has a start time.

void FCDocument::RegisterAnimatedValue | ( | FCDAnimated * | animated | ) |

  | [INTERNAL] Registers an animated value with the document. All animated values are listed within the document. Parameters:
  | animated | The new animated value to list within the document.

void FCDocument::RegisterExtraTree | ( | FCDExtra * | tree | ) | `[inline]`

  | [INTERNAL] Registers an extra tree with the document. All extra trees are listed within the document to support extra-technique plug-ins. Parameters:
  | tree | The new extra tree to list within the document.

void FCDocument::ReleaseLayer | ( | FCDLayer * | layer | ) |

  | Releases an entity layer from the document. Parameters:
  | layer | The layer to release.

void FCDocument::SetCurrentTime | ( | float | time | ) | `[inline]`

  | Evaluate the animation objects at the given time. Parameters:
  | time | The time to evaluate the objects at

void FCDocument::SetEndTime | ( | float | time | ) | `[inline]`

  | Enforces a certain time as the end time for the document. Parameters:
  | time | The document end time.

void FCDocument::SetFileUrl | ( | const fstring & | filename | ) |

  | Sets the file URL for this document. Useful when working with external references. Parameters:
  | filename | The filename for the document.

void FCDocument::SetStartTime | ( | float | time | ) | `[inline]`

  | Enforces a certain time as the start time for the document. Parameters:
  | time | The document start time.

void FCDocument::UnregisterAnimatedValue | ( | FCDAnimated * | animated | ) |

  | [INTERNAL] Unregisters an animated value of the document. All animated values are listed within the document. This function must be called before deleting an animated value. Parameters:
  | animated | The animated value to un-list from the document.

void FCDocument::UnregisterExtraTree | ( | FCDExtra * | tree | ) | `[inline]`

  | [INTERNAL] Unregisters an extra tree of the document. All extra trees are listed within the document to support extra-technique plug-ins. Parameters:
  | tree | The extra tree to un-list from the document.

The documentation for this class was generated from the following file:

- FCDocument/FCDocument.h